Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 609242 - SELinux is preventing /usr/bin/python "write" access .
SELinux is preventing /usr/bin/python "write" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:15d63ce62c0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 14:05 EDT by Daniel Wang
Modified: 2010-06-30 03:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 03:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Wang 2010-06-29 14:05:34 EDT
Summary:

SELinux is preventing /usr/bin/python "write" access .

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by denyhosts.py. It is not expected that this
access is required by denyhosts.py and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:denyhosts_t:s0
Target Context                system_u:system_r:denyhosts_t:s0
Target Objects                None [ unix_dgram_socket ]
Source                        denyhosts.py
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.4-27.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-23.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-124.fc13.i686.PAE #1 SMP
                              Fri Jun 11 09:42:24 UTC 2010 i686 i686
Alert Count                   19
First Seen                    Wed 23 Jun 2010 10:15:38 AM PDT
Last Seen                     Tue 29 Jun 2010 10:27:00 AM PDT
Local ID                      83fd2a78-f59f-416a-a426-c430d7cbb136
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1277832420.219:1896): avc:  denied  { write } for  pid=1771 comm="denyhosts.py" scontext=system_u:system_r:denyhosts_t:s0 tcontext=system_u:system_r:denyhosts_t:s0 tclass=unix_dgram_socket

node=(removed) type=AVC msg=audit(1277832420.219:1896): avc:  denied  { sendto } for  pid=1771 comm="denyhosts.py" path="/dev/log" scontext=system_u:system_r:denyhosts_t:s0 tcontext=system_u:system_r:syslogd_t:s0 tclass=unix_dgram_socket

node=(removed) type=SYSCALL msg=audit(1277832420.219:1896): arch=40000003 syscall=102 success=yes exit=116 a0=9 a1=bf8a5398 a2=aa3ff4 a3=14 items=0 ppid=1 pid=1771 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="denyhosts.py" exe="/usr/bin/python" subj=system_u:system_r:denyhosts_t:s0 key=(null)



Hash String generated from  catchall,denyhosts.py,denyhosts_t,denyhosts_t,unix_dgram_socket,write
audit2allow suggests:

#============= denyhosts_t ==============
allow denyhosts_t self:unix_dgram_socket write;
allow denyhosts_t syslogd_t:unix_dgram_socket sendto;
Comment 1 Miroslav Grepl 2010-06-30 03:33:39 EDT
Please update your selinux-policy

# yum update selinux-policy-targeted

Note You need to log in before you can comment on or make changes to this bug.